org.apache.ignite.internal.util

## Class LegacyBase64Encoder

- java.lang.Object
- - org.apache.ignite.internal.util.LegacyBase64Encoder

All Implemented Interfaces:
  Base64Encoder

Deprecated.
Use `jaba.util.Base64` instead.

    @Deprecated
    public class LegacyBase64Encoder
    extends Object
    implements Base64Encoder

Implementation of `Base64Encoder` interface for Java 7 and earlier.

### Constructor Summary

Constructors
Constructor and Description
`LegacyBase64Encoder()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `encode(byte[] msg)` Deprecated. Encodes given byte array.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LegacyBase64Encoder

    public LegacyBase64Encoder()

Deprecated.

### Method Detail

#### encode

    public String encode(byte[] msg)

Deprecated.
Encodes given byte array.

Specified by:
  `encode` in interface `Base64Encoder`
Returns:
  Encoded string.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018